commit bc4228d8bc0bd074005dc9868f2cc892f9a763a6
Author: Andrew Beekhof <andrew@beekhof.net>
Date:   Wed Oct 25 10:27:18 2017 +1100

    Test: PE: Resources are allowed to stop before their state is known everywhere

Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/594.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/594.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/594.dot
@@ -15,7 +15,6 @@ digraph "g" {
 "DoFencing_stop_0" [ style=bold color="green" fontcolor="orange" ]
 "DoFencing_stopped_0" [ style=bold color="green" fontcolor="orange" ]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
-"child_DoFencing:0_monitor_0 hadev1" -> "child_DoFencing:0_stop_0 hadev2" [ style = bold]
 "child_DoFencing:0_monitor_0 hadev1" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:0_stop_0 hadev2" -> "DoFencing_stopped_0" [ style = bold]
 "child_DoFencing:0_stop_0 hadev2" -> "all_stopped" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/594.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/594.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/594.exp
@@ -125,9 +125,6 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="11" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
-      </trigger>
-      <trigger>
         <pseudo_event id="30" operation="stop" operation_key="DoFencing_stop_0"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/662.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/662.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/662.dot
@@ -7,9 +7,7 @@
 "DoFencing_stop_0" [ style=bold color="green" fontcolor="orange" ]
 "DoFencing_stopped_0" [ style=bold color="green" fontcolor="orange" ]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
-"child_DoFencing:0_monitor_0 c001n04" -> "child_DoFencing:0_stop_0 c001n02" [ style = bold]
 "child_DoFencing:0_monitor_0 c001n04" [ style=bold color="green" fontcolor="black" ]
-"child_DoFencing:0_monitor_0 c001n09" -> "child_DoFencing:0_stop_0 c001n02" [ style = bold]
 "child_DoFencing:0_monitor_0 c001n09" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:0_stop_0 c001n02" -> "DoFencing_stopped_0" [ style = bold]
 "child_DoFencing:0_stop_0 c001n02" -> "all_stopped" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/662.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/662.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/662.exp
@@ -188,12 +188,6 @@
      </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="26" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="c001n04" on_node_uuid="c2896699-96b8-4dbc-a94e-6c3b9252b559"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="32" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="c001n09" on_node_uuid="f67904e0-4dfc-4db1-83a2-e930fc1d20f4"/>
-      </trigger>
-      <trigger>
         <pseudo_event id="54" operation="stop" operation_key="DoFencing_stop_0"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/829.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/829.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/829.dot
@@ -6,7 +6,6 @@ digraph "g" {
 "DoFencing_stop_0" [ style=bold color="green" fontcolor="orange" ]
 "DoFencing_stopped_0" [ style=bold color="green" fontcolor="orange" ]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
-"child_DoFencing:0_monitor_0 c001n01" -> "child_DoFencing:0_stop_0 c001n02" [ style = bold]
 "child_DoFencing:0_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:0_stop_0 c001n02" -> "DoFencing_stopped_0" [ style = bold]
 "child_DoFencing:0_stop_0 c001n02" -> "all_stopped" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/829.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/829.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/829.exp
@@ -165,9 +165,6 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="13" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
-      </trigger>
-      <trigger>
         <pseudo_event id="46" operation="stop" operation_key="DoFencing_stop_0"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-cl-5247.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/bug-cl-5247.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-cl-5247.dot
@@ -90,7 +90,6 @@ digraph "g" {
 "pgsql_stop_0 pgsr02" -> "msPostgresql_stopped_0" [ style = bold]
 "pgsql_stop_0 pgsr02" [ style=bold color="green" fontcolor="orange"]
 "pgsr01_monitor_0 bl460g8n4" [ style=bold color="green" fontcolor="black"]
-"pgsr02_monitor_0 bl460g8n3" -> "pgsr02_stop_0 bl460g8n4" [ style = bold]
 "pgsr02_monitor_0 bl460g8n3" [ style=bold color="green" fontcolor="black"]
 "pgsr02_stop_0 bl460g8n4" -> "all_stopped" [ style = bold]
 "pgsr02_stop_0 bl460g8n4" -> "prmDB2_stop_0 bl460g8n4" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-cl-5247.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/bug-cl-5247.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-cl-5247.exp
@@ -688,11 +688,7 @@
         </downed>
       </rsc_op>
     </action_set>
-    <inputs>
-      <trigger>
-        <rsc_op id="11" operation="monitor" operation_key="pgsr02_monitor_0" on_node="bl460g8n3" on_node_uuid="3232261399"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="48">
     <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-cl-5247.summary
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/bug-cl-5247.summary
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-cl-5247.summary
@@ -34,7 +34,9 @@ Executing cluster transition:
  * Resource action: prmStonith2-2   stop on bl460g8n3
  * Pseudo action:   msPostgresql_pre_notify_demote_0
  * Resource action: pgsr01          monitor on bl460g8n4
+ * Resource action: pgsr02          stop on bl460g8n4
  * Resource action: pgsr02          monitor on bl460g8n3
+ * Resource action: prmDB2          stop on bl460g8n4
  * Pseudo action:   grpStonith1_stopped_0
  * Pseudo action:   grpStonith1_start_0
  * Pseudo action:   grpStonith2_stopped_0
@@ -42,8 +44,6 @@ Executing cluster transition:
  * Resource action: pgsql           notify on pgsr01
  * Pseudo action:   msPostgresql_confirmed-pre_notify_demote_0
  * Pseudo action:   msPostgresql_demote_0
- * Resource action: pgsr02          stop on bl460g8n4
- * Resource action: prmDB2          stop on bl460g8n4
  * Pseudo action:   stonith-pgsr02-off on pgsr02
  * Pseudo action:   stonith_complete
  * Pseudo action:   pgsql_post_notify_stop_0
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/clone-no-shuffle.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/clone-no-shuffle.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/clone-no-shuffle.dot
@@ -76,7 +76,6 @@ digraph "g" {
 "stonith-1_monitor_0 dktest2sles10" -> "stonith-1_start_0 dktest1sles10" [ style = bold]
 "stonith-1_monitor_0 dktest2sles10" [ style=bold color="green" fontcolor="black" ]
 "stonith-1_start_0 dktest1sles10" [ style=bold color="green" fontcolor="black" ]
-"testip_monitor_0 dktest1sles10" -> "testip_stop_0 dktest2sles10" [ style = bold]
 "testip_monitor_0 dktest1sles10" [ style=bold color="green" fontcolor="black" ]
 "testip_stop_0 dktest2sles10" -> "all_stopped" [ style = bold]
 "testip_stop_0 dktest2sles10" -> "ms-drbd1_demote_0" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/clone-no-shuffle.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/clone-no-shuffle.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/clone-no-shuffle.exp
@@ -419,11 +419,7 @@
         <attributes CRM_meta_on_node="dktest2sles10" CRM_meta_on_node_uuid="6676c8d5-552e-4a86-a2ea-172e954f7342" CRM_meta_timeout="20000" broadcast="10.200.200.255" cidr_netmask="24"  ip="10.200.200.222" nic="eth1"/>
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="6" operation="monitor" operation_key="testip_monitor_0" on_node="dktest1sles10" on_node_uuid="c563f60c-45a8-439e-85dc-645f4ecc150d"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
   <synapse id="31">
      <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/clone-no-shuffle.summary
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/clone-no-shuffle.summary
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/clone-no-shuffle.summary
@@ -19,11 +19,11 @@ Executing cluster transition:
  * Resource action: stonith-1       monitor on dktest1sles10
  * Resource action: drbd1:1         monitor on dktest1sles10
  * Pseudo action:   ms-drbd1_pre_notify_demote_0
+ * Resource action: testip          stop on dktest2sles10
  * Resource action: testip          monitor on dktest1sles10
  * Resource action: stonith-1       start on dktest1sles10
  * Resource action: drbd1:0         notify on dktest2sles10
  * Pseudo action:   ms-drbd1_confirmed-pre_notify_demote_0
- * Resource action: testip          stop on dktest2sles10
  * Pseudo action:   ms-drbd1_demote_0
  * Resource action: drbd1:0         demote on dktest2sles10
  * Pseudo action:   ms-drbd1_demoted_0
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/group9.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/group9.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/group9.dot
@@ -28,7 +28,6 @@
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc4_monitor_0 node2" -> "rsc4_start_0 node1" [ style = bold]
-"rsc4_monitor_0 node2" -> "rsc4_stop_0 node1" [ style = bold]
 "rsc4_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc4_start_0 node1" -> "foo_running_0" [ style = bold]
 "rsc4_start_0 node1" -> "rsc5_start_0 node1" [ style = bold]
@@ -58,7 +57,6 @@
 "rsc6_stop_0 node1" -> "rsc6_start_0 node2" [ style = bold]
 "rsc6_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc7_monitor_0 node2" -> "rsc7_start_0 node2" [ style = bold]
-"rsc7_monitor_0 node2" -> "rsc7_stop_0 node1" [ style = bold]
 "rsc7_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc7_start_0 node2" -> "bar_running_0" [ style = bold]
 "rsc7_start_0 node2" -> "rsc8_start_0 node2" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/group9.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/group9.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/group9.exp
@@ -119,9 +119,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="7" operation="monitor" operation_key="rsc4_monitor_0" on_node="node2" on_node_uuid="node2"/>
-       </trigger>
-       <trigger>
         <rsc_op id="19" operation="stop" operation_key="rsc5_stop_0" on_node="node1" on_node_uuid="node1"/>
        </trigger>
        <trigger>
@@ -325,9 +322,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="10" operation="monitor" operation_key="rsc7_monitor_0" on_node="node2" on_node_uuid="node2"/>
-       </trigger>
-       <trigger>
         <rsc_op id="28" operation="stop" operation_key="rsc8_stop_0" on_node="node1" on_node_uuid="node1"/>
        </trigger>
        <trigger>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc2.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/inc2.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc2.dot
@@ -22,7 +22,6 @@
 "child_rsc1:3_stop_0 node1" -> "child_rsc1:3_start_0 node2" [ style = bold]
 "child_rsc1:3_stop_0 node1" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:3_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
-"child_rsc1:4_monitor_0 node2" -> "child_rsc1:4_stop_0 node1" [ style = bold]
 "child_rsc1:4_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
 "child_rsc1:4_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:4_stop_0 node1" -> "all_stopped" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc2.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/inc2.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc2.exp
@@ -108,9 +108,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="6" operation="monitor" operation_key="child_rsc1:4_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-       <trigger>
         <pseudo_event id="18" operation="stop" operation_key="rsc1_stop_0"/>
        </trigger>
      </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc3.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/inc3.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc3.dot
@@ -22,7 +22,6 @@
 "child_rsc1:3_stop_0 node1" -> "child_rsc1:3_start_0 node2" [ style = bold]
 "child_rsc1:3_stop_0 node1" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:3_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
-"child_rsc1:4_monitor_0 node2" -> "child_rsc1:4_stop_0 node1" [ style = bold]
 "child_rsc1:4_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
 "child_rsc1:4_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:4_stop_0 node1" -> "all_stopped" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc3.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/inc3.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc3.exp
@@ -108,9 +108,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="11" operation="monitor" operation_key="child_rsc1:4_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-       <trigger>
         <pseudo_event id="23" operation="stop" operation_key="rsc1_stop_0"/>
        </trigger>
      </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc4.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/inc4.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc4.dot
@@ -24,7 +24,6 @@
 "child_rsc1:3_stop_0 node1" -> "child_rsc1:3_start_0 node2" [ style = bold]
 "child_rsc1:3_stop_0 node1" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:3_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
-"child_rsc1:4_monitor_0 node2" -> "child_rsc1:4_stop_0 node1" [ style = bold]
 "child_rsc1:4_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
 "child_rsc1:4_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:4_stop_0 node1" -> "all_stopped" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc4.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/inc4.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc4.exp
@@ -117,9 +117,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="11" operation="monitor" operation_key="child_rsc1:4_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-       <trigger>
         <pseudo_event id="23" operation="stop" operation_key="rsc1_stop_0"/>
        </trigger>
      </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/master-7.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/master-7.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/master-7.dot
@@ -80,11 +80,8 @@ digraph "g" {
 "ocf_msdummy:0_stop_0 c001n01" -> "all_stopped" [ style = bold]
 "ocf_msdummy:0_stop_0 c001n01" -> "master_rsc_1_stopped_0" [ style = bold]
 "ocf_msdummy:0_stop_0 c001n01" [ style=bold color="green" fontcolor="orange" ]
-"ocf_msdummy:4_monitor_0 c001n02" -> "ocf_msdummy:4_stop_0 c001n01" [ style = bold]
 "ocf_msdummy:4_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
-"ocf_msdummy:4_monitor_0 c001n03" -> "ocf_msdummy:4_stop_0 c001n01" [ style = bold]
 "ocf_msdummy:4_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
-"ocf_msdummy:4_monitor_0 c001n08" -> "ocf_msdummy:4_stop_0 c001n01" [ style = bold]
 "ocf_msdummy:4_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
 "ocf_msdummy:4_stop_0 c001n01" -> "all_stopped" [ style = bold]
 "ocf_msdummy:4_stop_0 c001n01" -> "master_rsc_1_stopped_0" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/master-7.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/master-7.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/master-7.exp
@@ -453,15 +453,6 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="19" operation="monitor" operation_key="ocf_msdummy:4_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="24" operation="monitor" operation_key="ocf_msdummy:4_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="28" operation="monitor" operation_key="ocf_msdummy:4_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
-      </trigger>
-      <trigger>
         <pseudo_event id="87" operation="stop" operation_key="master_rsc_1_stop_0"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/master-9.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/master-9.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/master-9.dot
@@ -5,7 +5,6 @@
 "DoFencing_stop_0" [ style=bold color="green" fontcolor="orange" ]
 "DoFencing_stopped_0" [ style=bold color="green" fontcolor="orange" ]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
-"child_DoFencing:1_monitor_0 va1" -> "child_DoFencing:1_stop_0 ibm1" [ style = bold]
 "child_DoFencing:1_monitor_0 va1" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:1_stop_0 ibm1" -> "DoFencing_stopped_0" [ style = bold]
 "child_DoFencing:1_stop_0 ibm1" -> "all_stopped" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/master-9.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/master-9.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/master-9.exp
@@ -8,9 +8,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="12" operation="monitor" operation_key="child_DoFencing:1_monitor_0" on_node="va1" on_node_uuid="b8f81462-2d65-42bf-bbb1-70db0ea29e5b"/>
-      </trigger>
-      <trigger>
         <pseudo_event id="48" operation="stop" operation_key="DoFencing_stop_0"/>
        </trigger>
      </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/migrate-3.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/migrate-3.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/migrate-3.dot
@@ -1,7 +1,6 @@
  digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
 "rsc3_monitor_0 node2" -> "rsc3_start_0 node2" [ style = bold]
-"rsc3_monitor_0 node2" -> "rsc3_stop_0 node1" [ style = bold]
 "rsc3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc3_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc3_stop_0 node1" -> "all_stopped" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/migrate-3.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/migrate-3.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/migrate-3.exp
@@ -31,11 +31,7 @@
         <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" allow_migrate="on" />
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="rsc3_monitor_0" on_node="node2" on_node_uuid="node2"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
   <synapse id="3">
      <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/notify-3.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/notify-3.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/notify-3.dot
@@ -23,7 +23,6 @@
 "child_rsc1:1_stop_0 node2" -> "child_rsc1:1_start_0 node1" [ style = bold]
 "child_rsc1:1_stop_0 node2" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:1_stop_0 node2" [ style=bold color="green" fontcolor="black" ]
-"child_rsc2:0_monitor_0 node2" -> "child_rsc2:0_stop_0 node1" [ style = bold]
 "child_rsc2:0_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2:0_pre_notify_stop_0 node1" -> "rsc2_confirmed-pre_notify_stop_0" [ style = bold]
 "child_rsc2:0_pre_notify_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/notify-3.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/notify-3.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/notify-3.exp
@@ -328,9 +328,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="5" operation="monitor" operation_key="child_rsc2:0_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-       <trigger>
         <pseudo_event id="30" operation="stop" operation_key="rsc2_stop_0"/>
        </trigger>
      </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/novell-252693-3.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/novell-252693-3.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/novell-252693-3.dot
@@ -70,7 +70,6 @@
 "evmsdcloneset_start_0" -> "evmsdclone:1_start_0 node1" [ style = bold]
 "evmsdcloneset_start_0" -> "evmsdcloneset_running_0" [ style = bold]
 "evmsdcloneset_start_0" [ style=bold color="green" fontcolor="orange" ]
-"imagestoreclone:0_monitor_0 node1" -> "imagestoreclone:0_stop_0 node2" [ style = bold]
 "imagestoreclone:0_monitor_0 node1" -> "imagestorecloneset_start_0" [ style = bold]
 "imagestoreclone:0_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "imagestoreclone:0_monitor_20000 node1" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/novell-252693-3.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/novell-252693-3.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/novell-252693-3.exp
@@ -349,9 +349,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="11" operation="monitor" operation_key="imagestoreclone:0_monitor_0" on_node="node1" on_node_uuid="85d23ecf-8b5b-4cd3-9344-e1ff5d869d6a"/>
-      </trigger>
-      <trigger>
         <pseudo_event id="55" operation="stop" operation_key="imagestorecloneset_stop_0"/>
        </trigger>
      </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/params-2.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/params-2.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/params-2.dot
@@ -1,9 +1,7 @@
  digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
 "do_shutdown node1" [ style=bold color="green" fontcolor="black" ]
-"rsc1_monitor_0 node2" -> "rsc1_stop_0 node1" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
-"rsc1_monitor_0 node3" -> "rsc1_stop_0 node1" [ style = bold]
 "rsc1_monitor_0 node3" [ style=bold color="green" fontcolor="black" ]
 "rsc1_stop_0 node1" -> "all_stopped" [ style = bold]
 "rsc1_stop_0 node1" -> "do_shutdown node1" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/params-2.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/params-2.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/params-2.exp
@@ -6,14 +6,7 @@
         <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
-    <inputs>
-      <trigger>
-        <rsc_op id="8" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="node2"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="10" operation="monitor" operation_key="rsc1_monitor_0" on_node="node3" on_node_uuid="node3"/>
-      </trigger>
-    </inputs>
+    <inputs/>
    </synapse>
    <synapse id="1">
      <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/params-2.summary
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/params-2.summary
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/params-2.summary
@@ -13,6 +13,7 @@ Transition Summary:
  * Start   rsc3	(node3)
 
 Executing cluster transition:
+ * Resource action: rsc1            stop on node1
  * Resource action: rsc1            monitor on node3
  * Resource action: rsc1            monitor on node2
  * Resource action: rsc2            monitor on node3
@@ -21,11 +22,10 @@ Executing cluster transition:
  * Resource action: rsc3            monitor on node2
  * Resource action: rsc3            monitor on node1
  * Resource action: rsc3            delete on node3
- * Resource action: rsc1            stop on node1
- * Resource action: rsc2            delete on node2
- * Resource action: rsc3            start on node3
  * Cluster action:  do_shutdown on node1
  * Pseudo action:   all_stopped
+ * Resource action: rsc2            delete on node2
+ * Resource action: rsc3            start on node3
  * Resource action: rsc2            start on node2
 
 Revised cluster status:
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-rsc-1.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-rsc-1.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-rsc-1.dot
@@ -1,7 +1,6 @@
  digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
 "rsc1_monitor_0 node2" -> "rsc1_start_0 node2" [ style = bold]
-"rsc1_monitor_0 node2" -> "rsc1_stop_0 node1" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_stop_0 node1" -> "all_stopped" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-rsc-1.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-rsc-1.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-rsc-1.exp
@@ -31,11 +31,7 @@
         <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
   <synapse id="3">
      <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-rsc-2.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-rsc-2.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-rsc-2.dot
@@ -2,7 +2,6 @@
 "Cancel rsc1_monitor_1 node1" [ style=bold color="green" fontcolor="black" ]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
 "rsc1_monitor_0 node2" -> "rsc1_start_0 node1" [ style = bold]
-"rsc1_monitor_0 node2" -> "rsc1_stop_0 node1" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc1_stop_0 node1" -> "Cancel rsc1_monitor_1 node1" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-rsc-2.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-rsc-2.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-rsc-2.exp
@@ -31,11 +31,7 @@
         <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
    <synapse id="3">
      <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-rsc-5.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-rsc-5.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-rsc-5.dot
@@ -2,7 +2,6 @@ digraph "g" {
 "all_stopped" -> "stonith-1_start_0 node1" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
 "rsc1_monitor_0 node1" -> "rsc1_start_0 node1" [ style = bold]
-"rsc1_monitor_0 node1" -> "rsc1_stop_0 node2" [ style = bold]
 "rsc1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc1_stop_0 node2" -> "all_stopped" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-rsc-5.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-rsc-5.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-rsc-5.exp
@@ -51,9 +51,6 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
-      </trigger>
-      <trigger>
         <crm_event id="11" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/target-1.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/target-1.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/target-1.dot
@@ -9,11 +9,8 @@
 "rsc_c001n02_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n02_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n02_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
-"rsc_c001n08_monitor_0 c001n01" -> "rsc_c001n08_stop_0 c001n08" [ style = bold]
 "rsc_c001n08_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
-"rsc_c001n08_monitor_0 c001n02" -> "rsc_c001n08_stop_0 c001n08" [ style = bold]
 "rsc_c001n08_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
-"rsc_c001n08_monitor_0 c001n03" -> "rsc_c001n08_stop_0 c001n08" [ style = bold]
 "rsc_c001n08_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n08_stop_0 c001n08" -> "all_stopped" [ style = bold]
 "rsc_c001n08_stop_0 c001n08" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/target-1.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/target-1.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/target-1.exp
@@ -33,17 +33,7 @@
         <attributes CRM_meta_on_node="c001n08" CRM_meta_on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b" CRM_meta_timeout="20000"  ip="127.0.0.11" target_role="Stopped"/>
        </rsc_op>
      </action_set>
-    <inputs>
-      <trigger>
-        <rsc_op id="8" operation="monitor" operation_key="rsc_c001n08_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="10" operation="monitor" operation_key="rsc_c001n08_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="13" operation="monitor" operation_key="rsc_c001n08_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
-      </trigger>
-    </inputs>
+    <inputs/>
    </synapse>
    <synapse id="4">
      <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/target-1.summary
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/target-1.summary
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/target-1.summary
@@ -17,6 +17,7 @@ Executing cluster transition:
  * Resource action: DcIPaddr        monitor on c001n08
  * Resource action: DcIPaddr        monitor on c001n03
  * Resource action: DcIPaddr        monitor on c001n01
+ * Resource action: rsc_c001n08     stop on c001n08
  * Resource action: rsc_c001n08     monitor on c001n03
  * Resource action: rsc_c001n08     monitor on c001n02
  * Resource action: rsc_c001n08     monitor on c001n01
@@ -26,7 +27,6 @@ Executing cluster transition:
  * Resource action: rsc_c001n01     monitor on c001n08
  * Resource action: rsc_c001n01     monitor on c001n03
  * Resource action: rsc_c001n01     monitor on c001n02
- * Resource action: rsc_c001n08     stop on c001n08
  * Pseudo action:   all_stopped
 
 Revised cluster status:
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/target-2.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/target-2.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/target-2.dot
@@ -12,11 +12,8 @@ digraph "g" {
 "rsc_c001n03_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n03_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n03_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
-"rsc_c001n08_monitor_0 c001n01" -> "rsc_c001n08_stop_0 c001n08" [ style = bold]
 "rsc_c001n08_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
-"rsc_c001n08_monitor_0 c001n02" -> "rsc_c001n08_stop_0 c001n08" [ style = bold]
 "rsc_c001n08_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
-"rsc_c001n08_monitor_0 c001n03" -> "rsc_c001n08_stop_0 c001n08" [ style = bold]
 "rsc_c001n08_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n08_stop_0 c001n08" -> "all_stopped" [ style = bold]
 "rsc_c001n08_stop_0 c001n08" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/target-2.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/target-2.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/target-2.exp
@@ -33,17 +33,7 @@
         <attributes CRM_meta_on_node="c001n08" CRM_meta_on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b" CRM_meta_timeout="20000"  ip="127.0.0.11" target_role="Stopped"/>
       </rsc_op>
     </action_set>
-    <inputs>
-      <trigger>
-        <rsc_op id="8" operation="monitor" operation_key="rsc_c001n08_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="11" operation="monitor" operation_key="rsc_c001n08_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="15" operation="monitor" operation_key="rsc_c001n08_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="4">
     <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/target-2.summary
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/target-2.summary
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/target-2.summary
@@ -16,6 +16,7 @@ Executing cluster transition:
  * Resource action: DcIPaddr        monitor on c001n08
  * Resource action: DcIPaddr        monitor on c001n03
  * Resource action: DcIPaddr        monitor on c001n01
+ * Resource action: rsc_c001n08     stop on c001n08
  * Resource action: rsc_c001n08     monitor on c001n03
  * Resource action: rsc_c001n08     monitor on c001n02
  * Resource action: rsc_c001n08     monitor on c001n01
@@ -28,7 +29,6 @@ Executing cluster transition:
  * Resource action: rsc_c001n01     monitor on c001n08
  * Resource action: rsc_c001n01     monitor on c001n03
  * Resource action: rsc_c001n01     monitor on c001n02
- * Resource action: rsc_c001n08     stop on c001n08
  * Pseudo action:   all_stopped
 
 Revised cluster status:
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/unrunnable-1.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/unrunnable-1.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/unrunnable-1.dot
@@ -12,7 +12,6 @@
 "child_192.168.100.182_monitor_5000 c001n03" [ style=dashed color="red" fontcolor="black" ]
 "child_192.168.100.183_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "child_192.168.100.183_monitor_5000 c001n03" [ style=dashed color="red" fontcolor="black" ]
-"child_DoFencing:1_monitor_0 c001n03" -> "child_DoFencing:1_stop_0 c001n02" [ style = dashed]
 "child_DoFencing:1_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:1_stop_0 c001n02" -> "DoFencing_stopped_0" [ style = dashed]
 "child_DoFencing:1_stop_0 c001n02" -> "all_stopped" [ style = dashed]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-ms-ordering.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/whitebox-ms-ordering.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-ms-ordering.dot
@@ -47,13 +47,10 @@
 "lxc-ms_demote_0 lxc1" -> "lxc-ms_stop_0 lxc1" [ style = bold]
 "lxc-ms_demote_0 lxc1" [ style=bold color="green" fontcolor="orange"]
 "lxc-ms_monitor_0 18node1" -> "lxc-ms-master_start_0" [ style = bold]
-"lxc-ms_monitor_0 18node1" -> "lxc-ms_stop_0 lxc1" [ style = bold]
 "lxc-ms_monitor_0 18node1" [ style=bold color="green" fontcolor="black"]
 "lxc-ms_monitor_0 18node2" -> "lxc-ms-master_start_0" [ style = bold]
-"lxc-ms_monitor_0 18node2" -> "lxc-ms_stop_0 lxc1" [ style = bold]
 "lxc-ms_monitor_0 18node2" [ style=bold color="green" fontcolor="black"]
 "lxc-ms_monitor_0 18node3" -> "lxc-ms-master_start_0" [ style = bold]
-"lxc-ms_monitor_0 18node3" -> "lxc-ms_stop_0 lxc1" [ style = bold]
 "lxc-ms_monitor_0 18node3" [ style=bold color="green" fontcolor="black"]
 "lxc-ms_monitor_10000 lxc2" [ style=bold color="green" fontcolor="black"]
 "lxc-ms_promote_0 lxc1" -> "lxc-ms-master_promoted_0" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-ms-ordering.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/whitebox-ms-ordering.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-ms-ordering.exp
@@ -158,15 +158,6 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="5" operation="monitor" operation_key="lxc-ms_monitor_0" internal_operation_key="lxc-ms:0_monitor_0" on_node="18node1" on_node_uuid="1"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="10" operation="monitor" operation_key="lxc-ms_monitor_0" internal_operation_key="lxc-ms:0_monitor_0" on_node="18node2" on_node_uuid="2"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="15" operation="monitor" operation_key="lxc-ms_monitor_0" internal_operation_key="lxc-ms:0_monitor_0" on_node="18node3" on_node_uuid="3"/>
-      </trigger>
-      <trigger>
         <pseudo_event id="22" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0"/>
       </trigger>
       <trigger>
